path: /build/build/srt-net-libs-1.3.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gnutls -libressl" emerge net-libs/srt -pv -t && \
    USE="-gnutls -libressl" emerge -j ${JOBS} --nodeps net-libs/srt
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/srt && luet-portage --dir /pkgdir/srt
    net-libs/srt && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e82f5a1e8be251ca1aa8e63f5835badbdd699dea72462ee675ab3c8f8d1a6a11
  package:
    name: srt
    version: 1.3.2
    category: net-libs
    use_flags:
    - -gnutls
    - -libressl
    requires:
    - name: libvncserver
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Open-source implementation of the Secure Real-time Transport Protocol
      (SRTP)
    uri:
    - https://github.com/Haivision/srt
    license: LGPL-2.1
    buildtimestamp: 2023-09-08 23:57:56.384380255 +0000 UTC m=+91.949830762
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: gnutls? ( net-libs/gnutls:=[-mgorny(-)] ) !gnutls? ( !libressl? ( dev-libs/openssl:0=[-mgorny(-)]
        ) libressl? ( dev-libs/libressl:0=[-mgorny(-)] ) )
      IUSE: gnutls libressl abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: gnutls? ( net-libs/gnutls:=[-mgorny(-)] ) !gnutls? ( !libressl? ( dev-libs/openssl:0=[-mgorny(-)]
        ) libressl? ( dev-libs/libressl:0=[-mgorny(-)] ) )
      emerge.packages: net-libs/srt
      kit: net-kit
      original.package.name: net-libs/srt
      original.package.slot: "0"
      original.package.version: 1.3.2
    treedir: /build/packages
  package_dir: /pkgdir/srt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: af1d117fe59a5519e75b23a13af4ae6549e108e5f4e1cd4e7dae241572bb91f6
compressiontype: zstd
files:
- usr/bin/srt-ffplay
- usr/bin/srt-file-transmit
- usr/bin/srt-live-transmit
- usr/bin/srt-multiplex
- usr/bin/stransmit
- usr/include/srt/logging_api.h
- usr/include/srt/platform_sys.h
- usr/include/srt/srt.h
- usr/include/srt/srt4udt.h
- usr/include/srt/udt.h
- usr/include/srt/version.h
- usr/lib64/libsrt.a
- usr/lib64/libsrt.so
- usr/lib64/libsrt.so.1
- usr/lib64/libsrt.so.1.3.2
- usr/lib64/pkgconfig/haisrt.pc
- usr/lib64/pkgconfig/srt.pc
- usr/share/doc/srt-1.3.2/README.md.bz2
- var/db/pkg/net-libs/srt-1.3.2/BDEPEND
- var/db/pkg/net-libs/srt-1.3.2/BUILD_TIME
- var/db/pkg/net-libs/srt-1.3.2/CATEGORY
- var/db/pkg/net-libs/srt-1.3.2/CBUILD
- var/db/pkg/net-libs/srt-1.3.2/CFLAGS
- var/db/pkg/net-libs/srt-1.3.2/CHOST
- var/db/pkg/net-libs/srt-1.3.2/CONTENTS
- var/db/pkg/net-libs/srt-1.3.2/COUNTER
- var/db/pkg/net-libs/srt-1.3.2/CXXFLAGS
- var/db/pkg/net-libs/srt-1.3.2/DEFINED_PHASES
- var/db/pkg/net-libs/srt-1.3.2/DEPEND
- var/db/pkg/net-libs/srt-1.3.2/DESCRIPTION
- var/db/pkg/net-libs/srt-1.3.2/EAPI
- var/db/pkg/net-libs/srt-1.3.2/FEATURES
- var/db/pkg/net-libs/srt-1.3.2/HOMEPAGE
- var/db/pkg/net-libs/srt-1.3.2/INHERITED
- var/db/pkg/net-libs/srt-1.3.2/IUSE
- var/db/pkg/net-libs/srt-1.3.2/IUSE_EFFECTIVE
- var/db/pkg/net-libs/srt-1.3.2/KEYWORDS
- var/db/pkg/net-libs/srt-1.3.2/LDFLAGS
- var/db/pkg/net-libs/srt-1.3.2/LICENSE
- var/db/pkg/net-libs/srt-1.3.2/NEEDED
- var/db/pkg/net-libs/srt-1.3.2/PF
- var/db/pkg/net-libs/srt-1.3.2/PROVIDES
- var/db/pkg/net-libs/srt-1.3.2/RDEPEND
- var/db/pkg/net-libs/srt-1.3.2/REQUIRES
- var/db/pkg/net-libs/srt-1.3.2/SIZE
- var/db/pkg/net-libs/srt-1.3.2/SLOT
- var/db/pkg/net-libs/srt-1.3.2/USE
- var/db/pkg/net-libs/srt-1.3.2/environment.bz2
- var/db/pkg/net-libs/srt-1.3.2/repository
- var/db/pkg/net-libs/srt-1.3.2/srt-1.3.2.ebuild
package_cacheimage: ""
runtime:
  name: srt
  version: 1.3.2
  category: net-libs
  use_flags:
  - -gnutls
  - -libressl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Open-source implementation of the Secure Real-time Transport Protocol
    (SRTP)
  uri:
  - https://github.com/Haivision/srt
  license: LGPL-2.1
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: gnutls? ( net-libs/gnutls:=[-mgorny(-)] ) !gnutls? ( !libressl? ( dev-libs/openssl:0=[-mgorny(-)]
      ) libressl? ( dev-libs/libressl:0=[-mgorny(-)] ) )
    IUSE: gnutls libressl abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: gnutls? ( net-libs/gnutls:=[-mgorny(-)] ) !gnutls? ( !libressl? ( dev-libs/openssl:0=[-mgorny(-)]
      ) libressl? ( dev-libs/libressl:0=[-mgorny(-)] ) )
    emerge.packages: net-libs/srt
    kit: net-kit
    original.package.name: net-libs/srt
    original.package.slot: "0"
    original.package.version: 1.3.2
